Subject: Re: How do I avoid buying MSVC++?
From: [email-masked] (Max Hadley)

3 Jan 1999 08:31:55 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Mumit Khan" <[email-masked]>
Cc: "Cygwin mailing list" <[email-masked]>

Many thanks, Mumit, your suggestion appears to have fixed the problem
and I can now compile and run the program without any errors.

Is any of this documented anywhere? It does seem to me that a lot of
traffic on this list comes from people like me just trying to find their
way round Cygwin. A really good FAQ/read me first would help a lot.

Thanks again to all who have helped me,

Max Hadley

-----Original Message-----
From: Mumit Khan <[email-masked]>
To: Max Hadley <[email-masked]>
Cc: Cygwin mailing list <[email-masked]>
Date: Sunday, January 03, 1999 6:17 AM
Subject: Re: How do I avoid buying MSVC++?

>On Sat, 2 Jan 1999, Max Hadley wrote:
>
>> when not to. Also on his/her advice:
>>
>>     #define _declspec(A) extern
>
>Actually, gcc does support __declspec, but not _declspec. Microsoft
>uses _declspec as a synonym for __declspec, but suggests that you
>use __declspec in the documentation.
>
>Use the following:
>
>   #define _declspec(x) __attribute__((x))
>
>and that should fix the global problem.
>
>fyi, GCC's "specs" define __declspec as the following:
>
>   #define __declspec(x) __attribute__((x))
>
>Regards,
>Mumit
>
>-
>For help on using this list (especially unsubscribing), send a message
to
>"[email-masked]" with one line of text: "help".

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".